Skip to main content
`Ctrl`+`K`

# PEPBasis

The type of polynomial basis used to represent the polynomial eigenproblem.

## Synopsis

    typedef enum { PEP_BASIS_MONOMIAL,
                   PEP_BASIS_CHEBYSHEV1,
                   PEP_BASIS_CHEBYSHEV2,
                   PEP_BASIS_LEGENDRE,
                   PEP_BASIS_LAGUERRE,
                   PEP_BASIS_HERMITE } PEPBasis;

## Values

- `PEP_BASIS_MONOMIAL` - monomial basis

- `PEP_BASIS_CHEBYSHEV1` - Chebyshev polynomials of the 1st kind

- `PEP_BASIS_CHEBYSHEV2` - Chebyshev polynomials of the 2nd kind

- `PEP_BASIS_LEGENDRE` - Legendre polynomials

- `PEP_BASIS_LAGUERRE` - Laguerre polynomials

- `PEP_BASIS_HERMITE` - Hermite polynomials

## Notes

The default is to work with the monomial basis to represent the polynomial, i.e., \(1, x, x^2, \dots, x^d\). For large degree \(d\), numerical difficulties may arise. In that case, a different basis is recommended. The user is responsible for providing the coefficient matrices to `PEPSetOperators()` represented in the selected basis.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSetBasis()`

## Level

intermediate

## Location

include/slepcpep.h

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages